%global pypi_name pyroaring
%global forgeurl https://github.com/Ezibenroc/PyRoaringBitMap

Name:           python-%{pypi_name}
Version:        1.0.0
Release:        %mkrel 2
Summary:        Fast and lightweight set for unsigned 32 bits integers
%global tag %{version}
%forgemeta
# pyroaring/roaring.c and pyroaring/roaring.h are dual licensed
License:        MIT or Apache-2.0
Group:          Development/Python
URL:            https://github.com/Ezibenroc/PyRoaringBitMap
Source:         %{forgesource}

BuildRequires:  python3-devel
BuildRequires:  python3-cython


%description
An efficient and light-weight ordered set of 32 bits integers.
This is a Python wrapper for the C library CRoaring.

%package -n python3-%{pypi_name}
Summary:        Fast and lightweight set for unsigned 32 bits integers
Group:          Development/Python

%description -n python3-%{pypi_name}
An efficient and light-weight ordered set of 32 bits integers.
This is a Python wrapper for the C library CRoaring.


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}


%check
%tox
%pyproject_check_import


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.*


%changelog
* Sat Mar 01 2025 wally <wally> 1.0.0-2.mga10
+ Revision: 2155655
- rebuild for python3.13

* Fri Dec 27 2024 daviddavid <daviddavid> 1.0.0-1.mga10
+ Revision: 2130480
- initial package python-pyroaring

